package com.dhcc.finance.main.domain;

import com.dhcc.finance.util.TableColumnName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

@ApiModel(value = "CwBdScenario", description = "交易场景参数配置表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdScenario {
	@TableColumnName(columnname = "ID")
	@ApiModelProperty(value = "主键", required = true, example = "")
	private String id;

	@TableColumnName(columnname = "YWLX")
	@ApiModelProperty(value = "业务类型", required = false, example = "")
	private String ywlx;

	@TableColumnName(columnname = "JYM")
	@ApiModelProperty(value = "交易码", required = false, example = "")
	private String jym;

	@TableColumnName(columnname = "JYCJMC")
	@ApiModelProperty(value = "交易场景名称", required = false, example = "")
	private String jycjmc;

	@TableColumnName(columnname = "XTCCLX")
	@ApiModelProperty(value = "信托财产类型", required = false, example = "")
	private String xtcclx;

	@TableColumnName(columnname = "DYJHBZ")
	@ApiModelProperty(value = "单一集合标志", required = false, example = "")
	private String dyjhbz;

	@TableColumnName(columnname = "YXFS")
	@ApiModelProperty(value = "运行方式", required = false, example = "")
	private String yxfs;

	@TableColumnName(columnname = "SYQFJ")
	@ApiModelProperty(value = "收益权级别", required = false, example = "")
	private String syqfj;

	@TableColumnName(columnname = "CCLB")
	@ApiModelProperty(value = "财产类别", required = false, example = "")
	private String cclb;

	@TableColumnName(columnname = "SGLX")
	@ApiModelProperty(value = "申购类型", required = false, example = "")
	private String sglx;

	@TableColumnName(columnname = "HTFL")
	@ApiModelProperty(value = "合同分类", required = false, example = "")
	private String htfl;

	@TableColumnName(columnname = "TZLB")
	@ApiModelProperty(value = "投资类别", required = false, example = "")
	private String tzlb;

	@TableColumnName(columnname = "SFHG")
	@ApiModelProperty(value = "是否回购", required = false, example = "")
	private String sfhg;

	@TableColumnName(columnname = "SFZSZZS")
	@ApiModelProperty(value = "是否征收增值税", required = false, example = "")
	private String sfzszzs;
	
	@TableColumnName(columnname = "JGLX")
	@ApiModelProperty(value = "机构类型（贷款类别）", required = false, example = "")
	private String jglx;
	
	@TableColumnName(columnname = "SFGZ")
    @ApiModelProperty(value = "是否估值", required = false, example = "")
    private String sfgz;
	
	@TableColumnName(columnname = "FYLX")
	@ApiModelProperty(value = "费用类型", required = false, example = "")
	private String fylx;
	
	// @TableColumnName(columnname = "RECORD_ACCOUNT")
	@ApiModelProperty(value = "是否记账", required = false, example = "")
	private String recordAccount;

	// @TableColumnName(columnname = "RECORD_BENEFIT")
	@ApiModelProperty(value = "是否记头寸", required = false, example = "")
	private String recordBenefit;

	// @TableColumnName(columnname = "RECORD_SEQ")
	@ApiModelProperty(value = "是否记流水", required = false, example = "")
	private String recordSeq;

	// @TableColumnName(columnname = "ACCOUNT_MODEL")
	@ApiModelProperty(value = "记账模式", required = false, example = "")
	private String accountModel;

	@ApiModelProperty(value = "流水类型", required = false, example = "")
	private String flowType;

	@ApiModelProperty(value = "使用状态", required = false, example = "")
	private String useState;

	@ApiModelProperty(value = "录入人员", required = false, example = "")
	private String createUser;

	@ApiModelProperty(value = "录入时间", required = false, example = "")
	private Date createTime;

	@ApiModelProperty(value = "最后修改人员", required = false, example = "")
	private String updateUser;

	@ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	private Date updateTime;

	@ApiModelProperty(value = "备注", required = false, example = "")
	private String remark;

	@TableColumnName(columnname = "JZXTLX")
	@ApiModelProperty(value = "是否家族信托类型", required = false, example = "")
	private String jzxtlx;

	@TableColumnName(columnname = "VOUCHER_TYPE")
	@ApiModelProperty(value = "是否批量导入类型", required = false, example = "")
	private String voucherType;
}