package com.dhcc.finance.main.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwGlVoucherAndDetailWeb",description = "分录恢复相关实体类")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVoucherAndDetailWeb {
	@ApiModelProperty(value = "凭证主键", required = false, example = "")
    private String pkVoucher;
	
	@ApiModelProperty(value = "账套主键", required = false, example = "")
    private String pkGlorgbook;
    
    @ApiModelProperty(value = "分期募集", required = false, example = "")
    private String fqmjbh;
    
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String name;
    
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String period;
    
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "制单日期", required = false, example = "")
    private Date preparedate;
    
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "业务发生时间", required = false, example = "")
    private Date occDate;
    
    @ApiModelProperty(value = "凭证号", required = false, example = "")
    private String voucherno;
    
    @ApiModelProperty(value = "来源系统", required = false, example = "")
    private String pkSystem;
    
    @ApiModelProperty(value = "凭证摘要", required = false, example = "")
    private String abstractsVoucher;
    
    @ApiModelProperty(value = "制单人", required = false, example = "")
    private String pkPrepared;
    
    @ApiModelProperty(value = "分录摘要", required = false, example = "")
    private String abstractsDetail;
    
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;
    
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;
    
    @ApiModelProperty(value = "币种", required = false, example = "")
    private String pkCurrtype;
    
    @ApiModelProperty(value = "借方金额", required = false, example = "")
    private String debitamount;
    
    @ApiModelProperty(value = "贷方金额", required = false, example = "")
    private String creditamount;
    
    @ApiModelProperty(value = "删除人", required = false, example = "")
    private String updateUser;
    
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "删除时间", required = false, example = "")
    private Date updateTime;
}
