package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwProjectCheckWeb",description = "财务相关校验")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwProjectCheckWeb {
    @ApiModelProperty(value = "项目编号", required = false, example = "")
    private String xtxmbh;
    
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String xtzxmbh;
    
    @ApiModelProperty(value = "子项目名称", required = false, example = "")
    private String xtzxmqc;
    
    @ApiModelProperty(value = "核算会计", required = false, example = "")
    private String accountMan;
    
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;
    
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;
    
    @ApiModelProperty(value = "余额", required = false, example = "")
    private BigDecimal balance;
    
    @ApiModelProperty(value = "项目预计终止日", required = false, example = "")
    private String xmyjzzr;
    
    @ApiModelProperty(value = "项目终止日", required = false, example = "")
    private String xmzzr;
    
    @ApiModelProperty(value = "项目状态", required = false, example = "")
    private String xmzt;
    
    @ApiModelProperty(value = "辅助类型", required = false, example = "")
    private String checkType;
    
    @ApiModelProperty(value = "辅助余额", required = false, example = "")
    private BigDecimal balanceFreevalue;
    
    @ApiModelProperty(value = "辅助编码", required = false, example = "")
    private String checkValue;
    
    @ApiModelProperty(value = "辅助名称", required = false, example = "")
    private String valueName;
    
    @ApiModelProperty(value = "公司代垫款贷方余额", required = false, example = "")
    private BigDecimal companyAdvance;
}
