package com.dhcc.finance.main.service;


import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdManualSerial;
import com.dhcc.finance.main.domain.CwBdManualSerialExample;
import com.dhcc.finance.main.domain.CwBdVouchtemp;
import com.dhcc.finance.main.model.CwBdManualSerialWeb;
import com.dhcc.finance.main.model.CwGlVoucherWeb;
import com.github.pagehelper.PageInfo;
import org.springframework.web.multipart.MultipartFile;

import java.sql.Date;
import java.text.ParseException;
import java.util.List;

public interface CwBdManualSerialService {

    /**
     * @Description: 查询
     * @author 彭杰
     * @date 2020/6/4
     * @time
    */
    RestfulResponse<PageInfo<CwBdManualSerial>, CurrencyMeta> selectAll(int pageNum, int pageSize, int navigatePages, String voucherType, String importDate, String createUser) throws ParseException;

    RestfulResponse<PageInfo<CwBdManualSerial>, CurrencyMeta> selectDataDetail(int pageNum, int pageSize, int navigatePages, String batchNo, String subjcode, String projectCode, String subProjectCode, String pkVoucher) throws ParseException;

//    RestfulResponse<PageInfo<CwBdManualSerial>, CurrencyMeta> selectVoucherDetail(String batchNo) throws ParseException;


    /**
     * @Description: 插入保存
     * @author 彭杰
     * @date 2020/6/4
     * @time
    */
    RestfulResponse<Object, CurrencyMeta> importBatchVoucherInfo(List<CwBdManualSerialWeb> list);

    RestfulResponse<Object, CurrencyMeta> deleteImportReportInfo();

    /**
     * 功能描述：导入批量凭证
     * @param
     * @return
     * @author: pj
     * @date:   2020/5/27 15:01
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> importBatchReportInfo(MultipartFile file);

    /**
     * @Description: 查询凭证详情
     * @author 彭杰
     * @date 2020/6/28
     * @time
    */
    RestfulResponse<CwGlVoucherWeb, CurrencyMeta> selectPLVoucherDetil(String pkVoucher, String useState);
}
