package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdScenario;
import com.github.pagehelper.PageInfo;

public interface CwBdScenarioService {
	/**
	 * 功能描述 获取交易场景参数配置数据列表
	 *@param pageNum
	 *@param pageSize
	 *@param navigatePages
	 *@return RestfulResponse<PageInfo<CwBdScenario>,CurrencyMeta>
	 *@author huangpeng
	 * @param jycjmc 
	 * @param jym 
	 *@date 2020年2月4日 上午9:25:43
	 *修改日志:
	 */
	RestfulResponse<PageInfo<CwBdScenario>, CurrencyMeta> searchCwBdScenarioOfList(int pageNum, int pageSize,
			int navigatePages, String jym, String jycjmc);
	/**
	 * 功能描述  删除交易场景参数配置
	 *@param idList
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2020年2月4日 上午9:28:56
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwBdScenarioById(List<String> idList);
	/**
	 * 功能描述 新增交易场景参数配置
	 *@param cwBdScenario
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2020年2月4日 上午9:28:53
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> addCwBdScenario(CwBdScenario cwBdScenario);
	/**
	 * 功能描述 修改交易场景参数配置
	 *@param cwBdScenario
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2020年2月4日 上午9:29:56
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwBdScenario(CwBdScenario cwBdScenario);
	/**
	 * 功能描述 查询全部交易场景参数配置数据
	 *@return RestfulResponse<List<CwBdScenario>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2020年2月4日 下午2:11:32
	 *修改日志:
	 */
	RestfulResponse<List<CwBdScenario>, CurrencyMeta> searchCwBdScenarioAllData();

}
