package com.dhcc.finance.main.service;

import java.util.List;
import java.util.Map;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdScenariorelation;
import com.dhcc.finance.main.domain.CwBdVouchtemp;
import com.dhcc.finance.main.model.CwBdVouchtempAdd;
import com.github.pagehelper.PageInfo;

/**    
 * @author lipeng
 * Description:交易场景凭证模板对应关系操作接口
 * @date 2019年6月27日 上午11:08:15
 * @path com.dhcc.finance.main.service.CwBdScenariorelationService
 */
public interface CwBdScenariorelationService {
	/**
	 * @author lipeng
	 * 功能描述：查询交易场景凭证模板对应关系
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @date 2019年6月27日 上午11:12:26
	 * @path com.dhcc.finance.main.service
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @param cwBdScenariorelation
	 * @return
	 */
	RestfulResponse<PageInfo<CwBdScenariorelation>, CurrencyMeta> searchcwBdScenariorelationAllData(int pageNum, int pageSize, int navigatePages,String ywlx,String jym,String jycjmc);
	/**
	 * @author lipeng
	 * Description: 新增交易场景凭证模板对应关系  
	 * @date 2019年6月27日 上午11:17:37
	 * @path com.dhcc.finance.main.service
	 * @param cwBdScenariorelation
	 * @return
	 */
	RestfulResponse<Object, CurrencyMeta> addCwBdScenariorelation(CwBdScenariorelation cwBdScenariorelation);
	/**
	 * @author lipeng
	 * 功能描述：通过主键交易场景凭证模板对应关系  
	 * @param cwBdVouchtemp
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @date 2019年6月27日 上午11:18:52
	 * @return
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwBdScenariorelation(CwBdScenariorelation cwBdScenariorelation);
	/**
	 * @author lipeng
	 * Description: 逻辑删除交易场景凭证模板对应关系  
	 * @date 2019年6月27日 上午11:18:52
	 * @path com.dhcc.finance.main.service
	 * @param id
	 * @return
	 */
	RestfulResponse<Object, CurrencyMeta> deleteCwBdScenariorelation(String id);
	/**
	 * Title: selectScenarioreName <br/>  
	 * Description: TODO 查询全部交易场景名称 和交易码<br/>
	 * @author lipeng 
	 * @return RestfulResponse<List<String>,CurrencyMeta>
	 * @date 2019年8月3日 下午4:12:22
	 */
	RestfulResponse<Map<String,List<String>>, CurrencyMeta> selectScenarioreName();
}
